software-center python-launchpadlib dependency

Bug #634324 reported by LABOUEBE Michael on 2010-09-09
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Mohamed Amine Ilidrissi

Bug Description

Binary package hint: software-center

Hi,

I was cleaning up and striping down my ubuntu installation and i've found a dependency missing for software center python-launchpadlib.

When apport isn't installed (since it's only recommand from ubuntu-desktop package) you can remove python-launchpadli without dependency problem :

gfarmerfr@GNU-BoX:~$ sudo deborphan -a | grep launchpadlib
main/python python-launchpadlib

gfarmerfr@GNU-BoX:~/Téléchargements$ dpkg -I software-center_2.1.17_all.deb
 nouveau paquet Debian, version 2.0.
 taille 424430 octets : archive de contrôle = 6242 octets.
      89 octets, 2 lignes conffiles
    1445 octets, 23 lignes control
   11946 octets, 132 lignes md5sums
    1301 octets, 46 lignes * postinst #!/bin/sh
     952 octets, 34 lignes * postrm #!/bin/sh
     283 octets, 10 lignes * preinst #!/bin/sh
    1231 octets, 47 lignes * prerm #!/bin/sh
     215 octets, 4 lignes triggers
 Package: software-center
 Version: 2.1.17
 Architecture: all
 Maintainer: Michael Vogt <email address hidden>
 Installed-Size: 1952
 Depends: python, python-central (>= 0.6.11), gconf2 (>= 2.28.1-2), app-install-data (>= 0.4.0), humanity-icon-theme, gnome-menus, python-xapian, python-apt (>= 0.7.93.1), python-aptdaemon (>= 0.31), python-aptdaemon-gtk, python-debian (>= 0.1.15), python-dbus, policykit-1, policykit-1-gnome | policykit-1-kde, python-gtk2, python-webkit, python-xdg, python-gconf, python-gmenu, aptdaemon (>= 0.31), python-lazr.restfulclient, ubuntu-sso-client (>= 0.99.2)
 Recommends: lsb-release, python-launchpad-integration, apt-xapian-index (>= 0.38ubuntu1), update-notifier, software-properties-gtk, sessioninstaller
 Conflicts: gnome-app-install (<< 1), software-store
 Replaces: gnome-app-install, software-store
 Provides: gnome-app-install, software-store
 Section: gnome
 Priority: optional
 Homepage: https://launchpad.net/software-center
 Description: Utility for browsing, installing, and removing applications
  The Ubuntu Software Center lets you browse and install thousands of
  free applications available for Ubuntu. You can view available
  applications by category, or search quickly by name or description.
  You can also examine the applications already installed, and remove
  those you no longer need.
  .
  To install or remove software using the Center, you need administrator
  access on the computer.
 Python-Version: current

so i've removed it

but then software-center won't start :

gfarmerfr@GNU-BoX:~$ software-center
Traceback (most recent call last):
  File "/usr/bin/software-center", line 84, in <module>
    from softwarecenter.app import SoftwareCenterApp
  File "/usr/share/software-center/softwarecenter/app.py", line 62, in <module>
    from view.logindialog import LoginDialog
  File "/usr/share/software-center/softwarecenter/view/logindialog.py", line 30, in <module>
    from softwarecenter.backend.launchpad import GLaunchpad
  File "/usr/share/software-center/softwarecenter/backend/launchpad.py", line 32, in <module>
    from launchpadlib.launchpad import Launchpad
ImportError: No module named launchpadlib.launchpad

and when i've installed apport to report this bug apport triggered the install of python-launchpadlib :

gfarmerfr@GNU-BoX:~$ sudo aptitude install apport
Les NOUVEAUX paquets suivants vont être installés :
  apport python-apport{a} python-launchpadlib{a} python-problem-report{a}
Les paquets suivants sont RECOMMANDÉS mais ne seront pas installés :
  apport-symptoms
0 paquets mis à jour, 4 nouvellement installés, 0 à enlever et 15 non mis à jour.
Il est nécessaire de télécharger 303ko d'archives. Après dépaquetage, 1 720ko seront utilisés.
Voulez-vous continuer ? [Y/n/?]
Prendre :1 http://archive.ubuntu.com/ubuntu/ maverick/main python-problem-report all 1.14.1-0ubuntu6 [99,9kB]
Prendre :2 http://archive.ubuntu.com/ubuntu/ maverick/main python-launchpadlib all 1.6.1-1 [48,7kB]
Prendre :3 http://archive.ubuntu.com/ubuntu/ maverick/main python-apport all 1.14.1-0ubuntu6 [98,7kB]
Prendre :4 http://archive.ubuntu.com/ubuntu/ maverick/main apport all 1.14.1-0ubuntu6 [56,1kB]

....

So i think python-launchpadlib should be a direct dependency from software-center ?

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: software-center 2.1.17
ProcVersionSignature: Ubuntu 2.6.35-20.29-generic 2.6.35.4
Uname: Linux 2.6.35-20-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Thu Sep 9 19:58:59 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100803.1)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=fr_FR.utf8
 SHELL=/bin/bash
SourcePackage: software-center

Related branches

LABOUEBE Michael (gfarmerfr) wrote :
Changed in software-center (Ubuntu):
assignee: nobody → Mohamed Amine IL Idrissi (ilidrissi.amine)
importance: Undecided → Medium
status: New → In Progress
LABOUEBE Michael (gfarmerfr) wrote :

Either i'm wrong or you miss the "lib" from python-launchpadlib in the debian control file at rev1114 ?

@gfarmerfr: Yes, I've just fixed it, thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 2.1.22

---------------
software-center (2.1.22) maverick; urgency=low

  [ Michael Vogt ]
  * softwarecenter/backend/aptd.py:
    - fix enable_component()

  [ Mohamed Amine IL Idrissi ]
  * debian/control: add python-launchpadlib as Suggests (LP: #634324)
  * softwarecenter/view/appdetailsview_gtk.py:
    - restore screen scroll position when changing addons
      (LP: #625232)
 -- Michael Vogt <email address hidden> Thu, 16 Sep 2010 11:53:12 +0200

Changed in software-center (Ubuntu):
status: In Progress → Fix Released
LABOUEBE Michael (gfarmerfr) wrote :

Sorry to say but this bug is not fixed since I can still suppress python-launchpadlib with software-center 2.1.22
without a warning of aptitude/synaptic/whatever wanting to suppress software-cebter to resolve the conflict.
Btw software-center still crash with exact same error without python-launchpadlib.

gfarmerfr@GNU-BoX:~$ software-center
Traceback (most recent call last):
  File "/usr/bin/software-center", line 88, in <module>
    from softwarecenter.app import SoftwareCenterApp
  File "/usr/share/software-center/softwarecenter/app.py", line 62, in <module>
    from view.logindialog import LoginDialog
  File "/usr/share/software-center/softwarecenter/view/logindialog.py", line 30, in <module>
    from softwarecenter.backend.launchpad import GLaunchpad
  File "/usr/share/software-center/softwarecenter/backend/launchpad.py", line 32, in <module>
    from launchpadlib.launchpad import Launchpad
ImportError: No module named launchpadlib.launchpad

I think that when the lp branch of Mohamed (that would fix the dependency bug) was merge the meaning of this bug was misunderstood and python-launchpadlib was demoted to only a "suggest" package instead of a "depend" one.
Mohamed do you agree on this ?

Changed in software-center (Ubuntu):
status: Fix Released → In Progress
LABOUEBE Michael (gfarmerfr) wrote :

This bug still affect software-center 3.0.2.
Mohamed any news on that ?

Peter Békési (pbekesi) wrote :

I had the same error with a freshly installed 10.10 today, and eventually I have made it work somehow.

Starting software-center (3.0.7) from terminal gave:

pbekesi@csacsi-desktop:~$ software-center
Traceback (most recent call last):
  File "/usr/bin/software-center", line 88, in <module>
    from softwarecenter.app import SoftwareCenterApp
  File "/usr/share/software-center/softwarecenter/app.py", line 62, in <module>
    from view.logindialog import LoginDialog
  File "/usr/share/software-center/softwarecenter/view/logindialog.py", line 30, in <module>
    from softwarecenter.backend.launchpad import GLaunchpad
  File "/usr/share/software-center/softwarecenter/backend/launchpad.py", line 32, in <module>
    from launchpadlib.launchpad import Launchpad
ImportError: No module named launchpadlib.launchpad

I reinstalled python-launchpadlib (1.6.1-1) to see if it fixes, but after I did this, starting software-center resulted in:

pbekesi@csacsi-desktop:~$ software-center
Traceback (most recent call last):
  File "/usr/bin/software-center", line 88, in <module>
    from softwarecenter.app import SoftwareCenterApp
  File "/usr/share/software-center/softwarecenter/app.py", line 62, in <module>
    from view.logindialog import LoginDialog
  File "/usr/share/software-center/softwarecenter/view/logindialog.py", line 30, in <module>
    from softwarecenter.backend.launchpad import GLaunchpad
  File "/usr/share/software-center/softwarecenter/backend/launchpad.py", line 32, in <module>
    from launchpadlib.launchpad import Launchpad
  File "/usr/lib/pymodules/python2.6/launchpadlib/launchpad.py", line 29, in <module>
    from lazr.restfulclient.resource import (
  File "/usr/lib/python2.6/dist-packages/lazr/restfulclient/resource.py", line 41, in <module>
    from _browser import Browser, RestfulHttp
  File "/usr/lib/python2.6/dist-packages/lazr/restfulclient/_browser.py", line 50, in <module>
    from _json import DatetimeJSONEncoder
  File "/usr/lib/python2.6/dist-packages/lazr/restfulclient/_json.py", line 28, in <module>
    class DatetimeJSONEncoder(simplejson.JSONEncoder):
AttributeError: 'module' object has no attribute 'JSONEncoder'

I tried reinstalling software-center, but the result was the same. After some googling, I also reinstalled the package python-simplejson (2.1.1-1)

Now it if starting up fine except for maybe the below output, but besides that it's ok.

pbekesi@csacsi-desktop:~$ software-center
2011-02-27 17:03:47,174 - softwarecenter.app - INFO - software-center-agent finished with status 1
WARNING: can not get name for '<gtk.TextBuffer object at 0xa3ba2d4 (GtkTextBuffer at 0xa069948)>'WARNING: can not get name for '<gtk.CellRendererText object at 0xa3ba2fc (GtkCellRendererText at 0xa0703a0)>'

Kiwinote (kiwinote) wrote :

This seems to be fixed nicely in the latest software-center.

Changed in software-center (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers